Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# PPE_byte

## Name

PPE_byte -- generate 'parallel poll enable' command byte

## Synopsis

    #include <gpib/ib.h>

``uint8_t PPE_byte`(unsigned int dio_line, int sense);`

## Description

PPE_byte() returns a 'parallel poll enable' command byte corresponding to the `dio_line` and `sense` arguments. The `dio_line` (valid values are 1 through 8) specifies which dio line the device being configured should use to send back its parallel poll response. The `sense` argument specifies the polarity of the response. If `sense` is nonzero, then the specified dio line will be asserted to indicate that the 'individual status bit' (or 'ist') is 1. If `sense` is zero, then the specified dio line will be asserted when ist is zero.

## Return value

The appropriate PPE command byte is returned.

Prev | Home | Next
MTA | Up | ThreadIbcnt